s### Treffen am 12.11.2018

#### Daten 
* Anwesende: Lucas, Lukas, Leo, David, Jonas (LS, LG, LH, DF, JW)
* Startzeit: 17:15 Uhr
* Raum: P901

#### Agenda
* Git-Repository aufsetzen
* Grob Aufgaben vom Kickoff
* Plan für unsere Architektur
* Ausblick: 
  - Mail an Betreuer
  - Aufgaben für die nächsten Wochen

#### Top 1 - Git Repo

* LS erstellt ein git repo 

#### Top 2 - Aufgaben vom Kick-off nachbesprechen


##### Was ist unsere Aufgabe?

> RASA ist ein Framework für die Nutzung von Chatbots. Das System muss mit Facts befüllt werden, um Antworten generieren zu können.
Kann man dieses Wissen aus Texten akquirieren? Kann dies automatische mit Textquellen durchgeführt werden?
Dies soll anhand der Wikipedia Einträge von Physikern erprobt werden. Im Anschluss ist zu zeigen, wie gut das System funktioniert.
(Beispielfrage: Wer war Albert Einstein? Was hat Albert Einstein erfunden? Wo hat er gelebt? Wann ist er gestorben... usw. usw.)

* Herausfinden, wie gut das Potenzial für Chatbots ist, dass sie sich automatisch ihre Wissensgrundlage generieren
  - Sind Intents automatisch erzeugbar?

##### 1. Aufgabe: Wie funktioniert RASA?

* Rasa NLU
* Rasa Core
* Rasa Answer Generating

* Die Gruppe spricht über die RASA-Installation, diese ist mit großem DL-Aufwand verbunden



##### 2. Aufgabe: Wie arbeitet man in R mit Intents?

##### 3. Aufgabe: Wie zieht man Wissen wie Intents aus Texten heraus?

* Mit welcher Art von Daten wollen wir arbeiten?
  - Die Gruppe stimmt über das inhaltliche Thema ab:
  - Die Gruppe entscheidet sich für Physiker (LS, LG) gegen (LH); zwei Enthaltungen (DF, JW)

* Wie sehen Intents zu Physikern aus?
  - DF: Werk und Biografie

* Wie sehen unsere Daten aus?

* Welche Algorithmen kann man verwenden?

#### Top 3 - Plan für unsere Architektur

* Die Gruppe ist eher an R interessiert als an Python, auch wegen der Lerninhalte der Übungen

#### Ausblick

* erstmal keine direkte Aufgabenverteilung

##### Mail an Betreuer

* LH wird ein Mail für den Betreuer schreiben

* Idee:
  - In der Mail zwei Milestones erwähnen:
  - bis 30.11. alle Aufgaben s.u. abhaken, Rasa laufen haben, Daten runtergeladen haben
  - bis 14.12. lauffähigen Protoypen haben, der Fragen zu Physikern beantworten kann; Daten aufbereitet haben, Leitfrage beantwortbar

##### Aufgaben für die nächsten Wochen
* Wer macht was? - Interessengebiete der Mitglieder

* Aufgabe 1: **Daten sichten**. Wie können wir die Daten zu Physikern runterladen
   - LH: Dimension der Daten direkt abstecken
   - LS: Wikipedia beitet dumbs an, in denen man daten schon runterladen kann
   - DF: Genaue Personengruppe (Physiker, Philosphen) nicht wichtig - eher auf **intents** fokussieren


* Aufgabe 2: **Intents aufschreiben** zu Physikern

* Aufgabe 3: **Rasa aufsetzen**
  - Rasa in Docker zum Laufen bekommen
  - in unser repo einpflegen

* Aufgabe 4: **Rasa weiter sichten**
  - Wie kann man in Rasa Wissen einpflegen?

* Aufgabe 5: **Sich mit Technologien zur Informationsextraktion aus Text auseinandersetzen**

### Nächstes Treffen

Am 20.11. um 10 Uhr, Raum P901
